﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Foundation;
using UIKit;

namespace AgClockingClockout.iOS.Helpers
{
    public class Models
    {
        public class amsLogin
        {
            public string Status { get; set; }
            public string ApiKey { get; set; }
            public string ErrorMessage { get; set; }
        }
        public class DepartmentCode
        {
            public string OperationCode { get; set; }
            public string Description { get; set; }
        }
        public class ClockInOutResponse
        {
            public string ClockInOutStatus { get; set; }
            public string ClockInOutMessage { get; set; }
            public string ClockInOutCustomerCode { get; set; }
            public string ClockInOutOperationCode { get; set; }
            public string ClockInDate { get; set; }
            public string ClockInHours { get; set; }

        }
        public class amsCheckoperatorResponse
        {
            public string Status { get; set; }
            public string OperatorName { get; set; }
            public string ErrorMessage { get; set; }

        }

        public class DataHelperModel
        {
            public ClockInOutResponse ClockInOutResponse { get; set; }
            public string AccountNumber { get; set; }
            public string OperatorName { get; set; }
            public string OperatorNumber { get; set; }
            public List<DepartmentCode> Codes { get; set; }

        }
    }
}